This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842891 - Review Request: stickshift-broker - StickShift broker components
Review Request: stickshift-broker - StickShift broker components
Status: CLOSED DUPLICATE of bug 844013
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 839395 840037
Blocks: 842459 842890
  Show dependency treegraph
 
Reported: 2012-07-24 16:36 EDT by Troy Dawson
Modified: 2012-07-27 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-27 18:49:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-07-24 16:36:38 EDT
Spec URL: http://www.yortnoswad.org/packages/review/stickshift-broker.spec
SRPM URL: http://www.yortnoswad.org/packages/review/stickshift-broker-0.6.7-2.fc18.src.rpm
Description: This contains the broker 'controlling' components of StickShift.
This includes the public APIs for the client tools.

Fedora Account System Username: tdawson

Rpmlint Output:
[me@rawhide]$ rpmlint stickshift-broker.spec stickshift-broker-0.6.7-2.fc18.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Michael Scherer 2012-07-25 17:23:31 EDT
Hi, 
mod_ridealong is not packaged ( in f17, didn't check in rawhide ), and neither is the ruby module ( I assume that's a fork of passenger ? )

And I think that it work with a remote mongodb server or bind, so i am not sure this is good to pull mongodb-server, bind ( especially if it use a plugin to modify dns, like uplift-bind ).

For the selinux part, wouldn't it be easier to push them directly in selinux-policy ( I am not sure that's  good idea to modify boolean from %post without warning )

Among the various deps, there is rcov, but this is not listed as useful for runtime, just for testing ( like cucumber, who is not in Requires ). Shouldn't it be left out ?

There is also no mention of multimap in code, and the following gem are not listed in the spec while they are in the Gemfile :

gem 'rack'
gem 'regin'
gem 'open4'

Could you check with upstream the requirement ?
Comment 2 Michael Scherer 2012-07-25 17:42:23 EDT
Also, can the unit test be run in %check ( and so that would require rcov at built time) ?
Comment 3 Michael Scherer 2012-07-25 17:45:40 EDT
And it need to have a systemd file, I could write one but I am not sure.

Stickshift-broker should be started separately, with a separate apache + passenger ( + mod_ssl ) instance running on port 8080 ?

( also, why is there a requirement on oddjob since oddjob is deprecated upstream, replaced by mcollective, and oddjob do not seems to be used in the code ).
Comment 4 Troy Dawson 2012-07-25 20:20:30 EDT
Thank you for being so thorough.  It helps when I have so many of these that I am working on.

ridealong - That should be having a review request in by the end of the week.
Ridealong also has it it's own selinux policy and selinux setup.  So you are correct, that part should not be in this rpm.

I see what you are saying about mongodb-server and bind.  I will talk with the developer.  Especially with bind, since that is a dependancy of uplift.

I didn't even look in the gemfile, since this package isn't technically a gem.  Didn't see those dependancies.

oddjob - yep, need to fix that, should be doing mcollective.

systemd and startup scripts.  I'll talk to the developer about that.
Comment 5 Troy Dawson 2012-07-27 18:06:02 EDT
This package is being renamed
openshift-origin-broker

I have also talked to the developers and will be removing several of the dependancies that you talked about.  One exception is mongodb-server, which they say currently has to stay, but hopefully the next release can be taken out as a dependancy.

When I have a review-request up for openshift-origin-broker I will convert this over to that.
Comment 6 Troy Dawson 2012-07-27 18:49:41 EDT
This package has been renamed and a new review request has been created.

https://bugzilla.redhat.com/show_bug.cgi?id=844013

*** This bug has been marked as a duplicate of bug 844013 ***

Note You need to log in before you can comment on or make changes to this bug.